<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: PortServo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classPortServo.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classPortServo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PortServo Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for PortServo:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classPortServo.png" usemap="#PortServo_map" alt=""/>
  <map id="PortServo_map" name="PortServo_map">
<area href="classPort.html" alt="Port" shape="rect" coords="0,0,69,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a95ced214604b8539e4acdfb175950b19"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#a95ced214604b8539e4acdfb175950b19">PortServo</a> ()</td></tr>
<tr class="separator:a95ced214604b8539e4acdfb175950b19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c9bcdb26de1fb26cd0150efa75214e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#a0c9bcdb26de1fb26cd0150efa75214e4">begin</a> (int inPin)</td></tr>
<tr class="separator:a0c9bcdb26de1fb26cd0150efa75214e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a284e4473a11cbe908ba1db87a40c91bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#a284e4473a11cbe908ba1db87a40c91bd">beginByAccessory</a> (int inStartingPosition)</td></tr>
<tr class="separator:a284e4473a11cbe908ba1db87a40c91bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9bc91888d14d4c04ce1db71eb6d8f6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#a1d9bc91888d14d4c04ce1db71eb6d8f6">IsActive</a> () const </td></tr>
<tr class="separator:a1d9bc91888d14d4c04ce1db71eb6d8f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7390e48781206b0ead8951ae7042564"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#ab7390e48781206b0ead8951ae7042564">GetPin</a> () const </td></tr>
<tr class="separator:ab7390e48781206b0ead8951ae7042564"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeefe2ccbaffc273f196d5a55cbcd0b0c"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#aeefe2ccbaffc273f196d5a55cbcd0b0c">GetDIOPin</a> () const </td></tr>
<tr class="separator:aeefe2ccbaffc273f196d5a55cbcd0b0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a362a0eba0e7219cca64cae736c407e1a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#a362a0eba0e7219cca64cae736c407e1a">MovePosition</a> (unsigned long inDuration, int inEndPosition)</td></tr>
<tr class="separator:a362a0eba0e7219cca64cae736c407e1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf5231931fec08758d8287c079fe2bba"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">GetPosition</a> ()</td></tr>
<tr class="separator:adf5231931fec08758d8287c079fe2bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port</a> ()</td></tr>
<tr class="separator:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a> ()</td></tr>
<tr class="separator:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">GetPinType</a> () const </td></tr>
<tr class="separator:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">GetState</a> () const </td></tr>
<tr class="separator:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">GetSpeed</a> () const </td></tr>
<tr class="separator:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a> (int inSpeed)</td></tr>
<tr class="separator:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">IsLeftDir</a> () const </td></tr>
<tr class="separator:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">IsRightDir</a> () const </td></tr>
<tr class="separator:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">IsStopped</a> () const </td></tr>
<tr class="separator:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef667cb477268c60f098300e139530ba inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:aef667cb477268c60f098300e139530ba inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab681b4f2e4bb26a31d80308a04e348f inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:aab681b4f2e4bb26a31d80308a04e348f inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a6af50e48788eedf1a4a95122082643">MoveLeftDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ac78e0a5b72fc16c1240cecb5d6fe2f7f">MoveRightDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">MoveToggle</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63cfeea67bec1eab18758d74cd435c00 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">MoveStop</a> ()</td></tr>
<tr class="separator:a63cfeea67bec1eab18758d74cd435c00 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a7fea8a921f760510ee69b1f8f088db96"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a></td></tr>
<tr class="separator:a7fea8a921f760510ee69b1f8f088db96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a892b529df0ad7376695f9414e6fea5db"><td class="memItemLeft" align="right" valign="top">Servo&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">servo</a></td></tr>
<tr class="separator:a892b529df0ad7376695f9414e6fea5db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a></td></tr>
<tr class="separator:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a></td></tr>
<tr class="separator:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a></td></tr>
<tr class="separator:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a> (int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a> (int inPin, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a> (int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>As the name of the class try to tell, this class s dedicated for a servo port. It uses the library Servo installed with the Arduino IDE. </p>

<p class="definition">Definition at line <a class="el" href="PortServo_8hpp_source.html#l00013">13</a> of file <a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a95ced214604b8539e4acdfb175950b19"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PortServo::PortServo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="PortServo_8cpp_source.html#l00011">11</a> of file <a class="el" href="PortServo_8cpp_source.html">PortServo.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a0c9bcdb26de1fb26cd0150efa75214e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PortServo::begin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPin</td><td>Command pin for the servo. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="PortServo_8cpp_source.html#l00017">17</a> of file <a class="el" href="PortServo_8cpp_source.html">PortServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a284e4473a11cbe908ba1db87a40c91bd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortServo::beginByAccessory </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inStartingPosition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize the starting position of the servo. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inStartingPosition</td><td>New position. The servo will physically move if necessary ! </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortServo_8cpp_source.html#l00024">24</a> of file <a class="el" href="PortServo_8cpp_source.html">PortServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="aeefe2ccbaffc273f196d5a55cbcd0b0c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_pin_t PortServo::GetDIOPin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the pin. </p><dl class="section return"><dt>Returns</dt><dd>Pin number in DIO2 mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortServo_8hpp_source.html#l00045">45</a> of file <a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab7390e48781206b0ead8951ae7042564"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortServo::GetPin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the pin. </p><dl class="section return"><dt>Returns</dt><dd>Pin number in Arduino mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortServo_8hpp_source.html#l00041">41</a> of file <a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="adf5231931fec08758d8287c079fe2bba"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortServo::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the current position of the port. </p><dl class="section return"><dt>Returns</dt><dd>Current position of the port. </dd></dl>

<p>Reimplemented from <a class="el" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortServo_8cpp_source.html#l00060">60</a> of file <a class="el" href="PortServo_8cpp_source.html">PortServo.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a1d9bc91888d14d4c04ce1db71eb6d8f6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool PortServo::IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if this port is active. To be active, <a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin()</a> must have been called. </p><dl class="section return"><dt>Returns</dt><dd>true if the power pin number is different than -1. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortServo_8hpp_source.html#l00037">37</a> of file <a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a362a0eba0e7219cca64cae736c407e1a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortServo::MovePosition </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEndPosition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Move the servo to the given position using a given duration. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the movement should take the time of this delay. </td></tr>
    <tr><td class="paramname">inEndPosition</td><td>final position to reach. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classPort.html#a960a487c2833fc23e9285a7615f41379">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortServo_8cpp_source.html#l00042">42</a> of file <a class="el" href="PortServo_8cpp_source.html">PortServo.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a7fea8a921f760510ee69b1f8f088db96"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortServo::pin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Command pin connected to the servo. </p>

<p class="definition">Definition at line <a class="el" href="PortServo_8hpp_source.html#l00017">17</a> of file <a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a892b529df0ad7376695f9414e6fea5db"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Servo PortServo::servo</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Instance of the class Servo. </p>

<p class="definition">Definition at line <a class="el" href="PortServo_8hpp_source.html#l00019">19</a> of file <a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortServo_8hpp_source.html">PortServo.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortServo_8cpp_source.html">PortServo.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classPortServo.html">PortServo</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
